ogma-extra-1.12.0: Ogma: Helper tool to interoperate between Copilot and other languages.

Safe Haskell | None
Language | Haskell2010

System.Directory.Extra

Description

Auxiliary functions for working with directories.

Synopsis

- copyTemplate :: FilePath -> Value -> FilePath -> IO ()

# Documentation

copyTemplate :: FilePath -> Value -> FilePath -> IO () Source #

Copy a template directory into a target location, expanding variables provided in a map in a JSON value, both in the file contents and in the filepaths themselves.